
#ifndef CLASS009_HPP
#define CLASS009_HPP
#include "Class052.hpp"
class Champus_coverage: public Healthcare_benefit_plan
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_benefit_plan" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/A type of insurance coverage provided to military veterans and federal workers.
/%hxID%/50
/%PrimarySubjectArea%/RIM_Healthcare_benefit_plan
*/
public:
private:
	/*design comment handicapped_program_cd 
:/%Description%/A code depicting the handicapped program in which the patient is enrolled.
/%Datatype%/CE
/%hxID%/217
/%HL7v23Field%/00805
*/
	int handicapped_program_cd;
	/*design comment non_avail_cert_on_file_ind 
:/%Description%/A indication as to whether the champus non-avail certification is on file.
/%Datatype%/ID
/%hxID%/218
/%HL7v23Field%/00489
*/
	int non_avail_cert_on_file_ind;
	/*design comment retirement_dt 
:/%Description%/The date of retirement for the person covered by Champus.
/%Datatype%/DT
/%hxID%/219
/%HL7v23Field%/00488
*/
	int retirement_dt;
	/*design comment station_id 
:/%Description%/The identifier of the Champus station.
/%Datatype%/ST
/%hxID%/220
/%HL7v23Field%/00484
*/
	int station_id;
	};

#endif
