
#ifndef CLASS015_HPP
#define CLASS015_HPP
class Diagnostic_related_group
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Encounter_drg with Encounter_drg <"is_assigned_as (0,M)", "is_an_assignment_of (1,1)">
:/%Description%/
/%hxID%/1073

*/

	/*design comment 
:/%Description%/A broad categorization, based upon included procedures and diagnoses, that applies to a Healthcare event as a whole.  Used for grouping and evaluating Healthcare encounters with respect to duration of care and cost.



<see FIN2301:DRG_Master_File>
/%hxID%/57
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment base_rate_amt 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/270
*/
	int base_rate_amt;
	/*design comment capital_reimbursement_amt 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/271
*/
	int capital_reimbursement_amt;
	/*design comment cost_weight_amt 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/272
*/
	int cost_weight_amt;
	/*design comment id 
:/%Description%/A unique identifier assigned to the diagnostic related group.
/%Datatype%/CE
/%hxID%/273
/%HL7v23Field%/00382
*/
	int id;
	/*design comment major_diagnostic_category_cd 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/274
*/
	int major_diagnostic_category_cd;
	/*design comment operating_reimbursement_amt 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/275
*/
	int operating_reimbursement_amt;
	/*design comment reimbursement_amt 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/276
*/
	int reimbursement_amt;
	/*design comment standard_day_qty 
:/%Description%/<see FIN2301:DRG_Master_File; Standard_Day_Stay>
/%hxID%/277
*/
	int standard_day_qty;
	/*design comment standard_total_charge_amt 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/278
*/
	int standard_total_charge_amt;
	/*design comment trim_high_day_qty 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/279
*/
	int trim_high_day_qty;
	/*design comment trim_low_day_qty 
:/%Description%/<see FIN2301:DRG_Master_File>
/%hxID%/280
*/
	int trim_low_day_qty;
	};

#endif
