
#ifndef CLASS019_HPP
#define CLASS019_HPP
class Dt_code
	{
	/*design in subject "DIM_Control_Query" */
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Datatypes" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/An attribute group for coded attributes.  The contents of this attribute group is strongly influenced by the contents of the CE, ID, IS, and CF datatypes within the HL7 2.3 standard.
/%hxID%/61
/%PrimarySubjectArea%/RIM_Compound_datatype
*/
public:
private:
	/*design comment assigned_code_txt 
:/%Description%/The code assigned to the coded concept.  The combination of coding system name and assigned code text uniquely identifies the item being represented
/%hxID%/298
*/
	int assigned_code_txt;
	/*design comment coded_value_nm 
:/%Description%/The name of the coded concept.
/%hxID%/299
*/
	int coded_value_nm;
	/*design comment coding_system_id 
:/%Description%/The name of the coding system used.
/%hxID%/300
*/
	int coding_system_id;
	};

#endif
