
#ifndef CLASS028_HPP
#define CLASS028_HPP
class Dt_personname
	{
	/*design in subject "DIM_Control_Query" */
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Datatypes" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/A compound datatype for person name.   Based upon the HL7 PN and XPN datatypes.
/%hxID%/70
/%PrimarySubjectArea%/RIM_Compound_datatype
*/
public:
private:
	/*design comment family_nm 
:/%Description%/A person's surname or family name.
/%hxID%/314
*/
	int family_nm;
	/*design comment given_nm 
:/%Description%/A person's given name.
/%hxID%/315
*/
	int given_nm;
	/*design comment middle_nm 
:/%Description%/An additional name between the first and last names of a person.
/%hxID%/316
*/
	int middle_nm;
	/*design comment suffix_nm 
:/%Description%/An additional test string added to a name.  Often use to denote a degree title (e.g., MD, Ph.D., LVN, . . .) or a generation qualifier (e.g., Jr., Sr., III, . . .).
/%hxID%/317
*/
	int suffix_nm;
	/*design comment title_txt 
:/%Description%/A text string preceding a person's first name usually portraying a position held by the person or a indication of the person's age/marital status. (e.g., Mr., Mrs., Miss, Sir, Reverend, General, master, . . .).
/%hxID%/318
*/
	int title_txt;
	};

#endif
