
#ifndef CLASS046_HPP
#define CLASS046_HPP
class Guarantor
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Stakeholder" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Guarantor_contract with Guarantor_contract <"guarantees_payment_under (1,M)", "has_payment_guaranteed_by (1,1)">
:/%Description%/
/%hxID%/1087

*/
	/*design assoc Stakeholder with Stakeholder <"is_a_role_of (1,1)", "takes_on_role_of (0,1)">
:/%Description%/
/%hxID%/1088

*/

	/*design comment 
:/%Description%/The person or organization assuming financial responsibility for some or all of the charges in a patient billing account.
/%hxID%/83
/%PrimarySubjectArea%/RIM_Stakeholder
*/
public:
private:
	/*design comment financial_class_cd 
:/%Description%/A code depicting the classification of the financial status of the guarantor.
/%hxID%/377
*/
	int financial_class_cd;
	/*design comment household_annual_income_amt 
:/%Description%/The combined annual income of all members of the guarantor's household.
/%Datatype%/CP
/%hxID%/378
/%HL7v23Field%/00778
*/
	int household_annual_income_amt;
	/*design comment household_size_qty 
:/%Description%/The number of people living at the guarantor's primary residence.
/%Datatype%/NM
/%hxID%/379
/%HL7v23Field%/00779
*/
	int household_size_qty;
	};

#endif
