
#ifndef CLASS053_HPP
#define CLASS053_HPP
class Healthcare_benefit_service
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_benefit_plan" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Master_service with Master_service <"provides_coverage_for (1,M)", "is_covered_by (0,M)">
:/%Description%/
/%hxID%/3256

*/

	/*design comment 
:/%Description%/A level of coverage for a selected class of Healthcare services.
/%hxID%/91
/%PrimarySubjectArea%/RIM_Healthcare_benefit_plan
*/
public:
private:
	/*design comment access_protocol_desc 
:/%Description%/Description of the access protocol for the benefit service type.
/%hxID%/446
*/
	int access_protocol_desc;
	/*design comment capitation_ind 
:/%Description%/An indication that the benefit service is a capitated service.
/%hxID%/447
*/
	int capitation_ind;
	/*design comment coinsurance_ind 
:/%Description%/An indication that coinsurance is applicable for the benefit service.
/%hxID%/448
*/
	int coinsurance_ind;
	/*design comment coinsurance_pct 
:/%Description%/The coinsurance percentage for the benefit service.
/%hxID%/449
*/
	int coinsurance_pct;
	/*design comment copayment_amt 
:/%Description%/The copayment amount for the benefit service.
/%hxID%/450
*/
	int copayment_amt;
	/*design comment deductible_amt 
:/%Description%/The benefit service deductible amount.
/%hxID%/451
*/
	int deductible_amt;
	/*design comment lower_coverage_limit_amt 
:/%Description%/The lower coverage limit.
/%hxID%/452
*/
	int lower_coverage_limit_amt;
	/*design comment pay_cap_limit_amt 
:/%Description%/The payment limit on the benefit service.
/%hxID%/453
*/
	int pay_cap_limit_amt;
	/*design comment pcp_referral_ind 
:/%Description%/An indicator that the benefit service provided by a non primary provider must have a referral from a primary care provider to be covered.
/%hxID%/454
*/
	int pcp_referral_ind;
	/*design comment primary_care_provider_ind 
:/%Description%/An indicator that the benefit service must be provided by a primary care provider to be covered.
/%hxID%/455
*/
	int primary_care_provider_ind;
	/*design comment review_ind 
:/%Description%/A indication that the benefit service will be subject to review prior to payment.
/%Datatype%/CM
/%hxID%/456
/%HL7v23Field%/00521
*/
	int review_ind;
	/*design comment upper_coverage_limit_amt 
:/%Description%/The upper limit of the benefit coverage.
/%hxID%/457
*/
	int upper_coverage_limit_amt;
	};

#endif
