
#ifndef CLASS063_HPP
#define CLASS063_HPP
class Insurer
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Organization" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Healthcare_benefit_plan with Healthcare_benefit_plan <"offers (0,M)", "is_offered_by (1,1)">
:/%Description%/
/%hxID%/1115

*/
	/*design assoc Insurance_certification with Insurance_certification <"issues (0,M)", "is_issued_by (1,1)">
:/%Description%/
/%hxID%/1113

*/
	/*design assoc Preauthorization with Preauthorization <"issues (0,M)", "is_issued_by (1,1)">
:/%Description%/
/%hxID%/1114

*/

	/*design comment 
:/%Description%/A role assumed by a organization stakeholder underwriting a Healthcare benefit plan.
/%hxID%/100
/%PrimarySubjectArea%/RIM_Organization
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The date the organization assumes the role of insurer.
/%hxID%/498
*/
	int effective_dt;
	/*design comment termination_dt 
:/%Description%/The date the organization is no longer in the role of insurer.
/%hxID%/499
*/
	int termination_dt;
	};

#endif
