
#ifndef CLASS116_HPP
#define CLASS116_HPP
class Stakeholder
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Stakeholder" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Insurance_certification_contact with Insurance_certification_contact <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1187

*/
	/*design assoc Patient_clinical_item_source with Patient_clinical_item_source <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1188

*/
	/*design assoc Patient_information_recipient with Patient_information_recipient <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1189

*/
	/*design assoc Person_alternate_name with Person_alternate_name <"refers_to_person_by (0,M)", "is_used_by (0,M)">
:/%Description%/
/%hxID%/1186

*/
	/*design assoc Receiver with Receiver <"may_act_as_a (0,1)", "is_a (1,1)">
:/%Description%/
/%hxID%/3282

*/

	/*design comment 
:/%Description%/A person or organization that has an investment, share, or interest in healthcare.
/%hxID%/161
/%PrimarySubjectArea%/RIM_Stakeholder
*/
public:
private:
	/*design comment addr 
:/%Description%/The address of a stakeholder.
/%Datatype%/XAD
/%hxID%/1009
/%HL7v23Field%/00114, 00115, 00193, 00409, 00421, 00430, 00444, 00469, 00613
*/
	int addr;
	/*design comment credit_rating_cd 
:/%Description%/A code depicting the credit rating of a stakeholder.
/%Datatype%/CE
/%hxID%/1010
/%HL7v23Field%/00153, 00774
*/
	int credit_rating_cd;
	/*design comment email_address_txt 
:/%Description%/The email address of a stakeholder.
/%hxID%/1011
*/
	int email_address_txt;
	/*design comment phon 
:/%Description%/The phone number of a stakeholder.
/%Datatype%/XTN
/%hxID%/1012
/%HL7v23Field%/00116, 00195, 00410, 00411, 00422, 00432, 00517, 00520, 00602, 00614, 00749, 00790, 00793, 00798, 00803, 00804
*/
	int phon;
	/*design comment type_cd 
:/%Description%/A code depicting the type of stakeholder (e.g., person, organization, . . .).
/%hxID%/1013
*/
	int type_cd;
	};

#endif
