
#ifndef CLASS123_HPP
#define CLASS123_HPP
#include "Class100.hpp"
class Treatment_service_event: public Patient_service_event
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Pharmacy_service_event" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design part Treatment_service_administration class Treatment_service_administration <"has_parts (0,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/3394

*/
	/*design part Treatment_service_dispense class Treatment_service_dispense <"has_parts (0,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/3395

*/
	/*design part Treatment_service_give class Treatment_service_give <"has_parts (0,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/3396

*/

	/*design comment 
:/%Description%/A type of service event in which a pharmacy or treatment service is performed.
/%hxID%/2932
/%PrimarySubjectArea%/RIM_Pharmacy_service_event
*/
public:
private:
	/*design comment prescription_id 
:/%Description%/An identifier assigned to the pharmacy treatment service event.
/%Datatype%/ST
/%hxID%/3190
/%HL7v23Field%/00325
*/
	int prescription_id;
	/*design comment refills_remaining_qty 
:/%Description%/The number of refills remaining.

Rationale: V2.3 field is NM datatype.  there is no unit of measure to specify.
/%Datatype%/NM
/%hxID%/3191
/%HL7v23Field%/00326
*/
	int refills_remaining_qty;
	};

#endif
