#ifdef __TCPP__

/*   File: HL7CMNT.CPP
     Content: Together/C++ CommentTemplates for the HL7
        Version 3 Modeling.
    Created: 970108
    Author: G. W. Beeler, Jr.

*/

#template simpleDescription "_General descriptions"
/%Description%/
/%Rationale%/
/%OpenIssue%/

#endtempl

#template hl7originalClass "_HL7 Class"
/%Description%/
/%StateAttribute%/
/%PrimarySubjectArea%/
/%Rationale%/
/%OpenIssue%/

#endtempl 

#template hl7originalAttribute "_HL7 Attribute"
/%Description%/
/%Datatype%/
/%HL7v23Field%/
/%Rationale%/
/%OpenIssue%/

#endtempl

#template hl7subjectAreas  "_Subject Areas "
/%Description%/
/%ParentArea%/
/%Rationale%/
/%OpenIssue%/

#endtempl

/*design group <texttemplate> ClassComment
{
    hl7originalClass;
}
*/

/*design group <texttemplate> AttributeComment
{
    hl7originalAttribute;
}
*/

/*design group <texttemplate> ServiceComment
{
    simpleDescription;
}
*/

/*design group <texttemplate> GenSpecComment
{
    simpleDescription;
}
*/

/*design group <texttemplate> WholePartComment
{
    simpleDescription;
}
*/

/*design group <texttemplate> ObjectConnectionComment
{
    simpleDescription;
}
*/

/*design group <texttemplate> MessageComment
{
    simpleDescription;
}
*/

/*design group <texttemplate> SubjectComment
{
    hl7subjectAreas;
}
*/

#endif
