
#ifndef CLASS001_HPP
#define CLASS001_HPP
#include "Class086.hpp"
class Advance_directive: public Patient_clinical_item
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C09_Medical_records" */
	/*design assoc Notary_public with Notary_public <"is_notarized_by (1,1)", "notarizes (0,M)">
:/%Description%/
/%hxID%/1056

*/

	/*design comment 
:/%Description%/An authoritative instruction or direction of a patient regarding their healthcare or the disposition of their remains.
/%hxID%/40
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment competence_ind 
:/%Description%/An indication as to whether the patient was mentally competent when completing the advance directive.
/%hxID%/168
*/
	int competence_ind;
	/*design comment directive_cd 
:/%Description%/A code depicting the nature of the advance directive.
/%hxID%/169
*/
	int directive_cd;
	/*design comment disclosure_level_cd 
:/%Description%/The level of disclosure allowed for this advance directive.
/%hxID%/170
*/
	int disclosure_level_cd;
	/*design comment life_quality_desc 
:/%Description%/A free for text describing quality of life preference of the patient to be used in making intervention decisions.
/%hxID%/171
*/
	int life_quality_desc;
	/*design comment mortuary_preference_nm 
:/%Description%/The name of the patient's preferred mortuary.
/%hxID%/172
*/
	int mortuary_preference_nm;
	/*design comment notarization_dt 
:/%Description%/The date the advance directive was notarized.
/%hxID%/173
*/
	int notarization_dt;
	};

#endif
