
#ifndef CLASS004_HPP
#define CLASS004_HPP
class Authentication
	{
	/*design in subject "STW_C09_Medical_records" */
	/*design assoc Health_chart_document_header with Health_chart_document_header <"is_related_to (1,1)", "is_related_to (0,m)">
:/%Description%/
/%hxID%/4025

*/

	/*design comment 
:/%Description%/All instances that record information related to the relationship between a Health Chart Document Header and the Authenticator of the document.

Rationale: 

OpenIssue: 
/%hxID%/4001
/%PrimarySubjectArea%/STW_C09_Medical_records
*/
public:
private:
	/*design comment authentication_dt 
:/%Description%/This records the date that the contents of the healthcare document were verified by the authenticator.  

Rationale: 

OpenIssue: 
/%Datatype%/DT
/%hxID%/4005
*/
	int authentication_dt;
	/*design comment type_cd 
:/%Description%/Code indicating the type of authentication that was carried out for the document

Rationale: 

OpenIssue: 
/%hxID%/4006
*/
	int type_cd;
	};

#endif
