
#ifndef CLASS008_HPP
#define CLASS008_HPP
class Certification_second_opinion
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Guarantor_contract" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Individual_healthcare_provider with Individual_healthcare_provider <"is_provided_by (1,1)", "provides (0,M)">
:/%Description%/
/%hxID%/1062

*/
	/*design assoc Insurance_certification with Insurance_certification <"provides_opinion_on (1,1)", "includes (0,M)">
:/%Description%/
/%hxID%/1063

*/

	/*design comment 
:/%Description%/An alternate medical opinion rendered for an insurance certification.
/%hxID%/49
/%PrimarySubjectArea%/RIM_Guarantor_contract
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The date that the second opinion was obtained.
/%Datatype%/DT
/%hxID%/215
/%HL7v23Field%/00523
*/
	int effective_dt;
	/*design comment status_cd 
:/%Description%/A code that depicts the status of the second opinion.
/%Datatype%/IS
/%hxID%/216
/%HL7v23Field%/00524, 00525
*/
	int status_cd;
	};

#endif
