
#ifndef CLASS016_HPP
#define CLASS016_HPP
#include "Class102.hpp"
class Dietary_order: public Patient_service_order
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_order" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning the system or course of diet for a patient.
/%hxID%/58
/%PrimarySubjectArea%/RIM_Patient_service_order
*/
public:
private:
	/*design comment diet_type_cd 
:/%Description%/A code identifying a special diet type for a patient.
/%Datatype%/ID
/%hxID%/282
/%HL7v23Field%/00168, 00269
*/
	int diet_type_cd;
	/*design comment dietary_instruction_desc 
:/%Description%/Instructive description of the dietary order.
/%Datatype%/ST
/%hxID%/283
/%HL7v23Field%/00272
*/
	int dietary_instruction_desc;
	/*design comment dietary_tray_type_cd 
:/%Description%/A code for the type of dietary tray.
/%Datatype%/CE
/%hxID%/284
/%HL7v23Field%/00273
*/
	int dietary_tray_type_cd;
	/*design comment service_period_cd 
:/%Description%/A code identifying the service period for a diet order.
/%Datatype%/CE
/%hxID%/285
/%HL7v23Field%/00270
*/
	int service_period_cd;
	/*design comment service_type_cd 
:/%Description%/An identifier of the dietary plan.

Rationale: related V2.3 field is CE datatype.  this is not an identifier.

OpenIssue: 
/%Datatype%/CE
/%hxID%/2956
/%HL7v23Field%/00271
*/
	int service_type_cd;
	};

#endif
