
#ifndef CLASS018_HPP
#define CLASS018_HPP
class Dt_amount
	{
	/*design in subject "DIM_Control_Query" */
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Datatypes" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/A compound datatype representing a numeric amount.  See the HL7 CQ and MO datatypes.
/%hxID%/60
/%PrimarySubjectArea%/RIM_Compound_datatype
*/
public:
private:
	/*design comment qty 
:/%Description%/A numerical representation of an amount.
/%hxID%/296
*/
	int qty;
	/*design comment unit_of_measure_cd 
:/%Description%/A code depicting the unit of measure for an amount (e.g., dollars, years, days, liters, grams, . . .).
/%Datatype%/CE
/%hxID%/297
/%HL7v23Field%/00295, 00303, 00316, 00320, 00324, 00333, 00338, 00349, 00627, 00645
*/
	int unit_of_measure_cd;
	};

#endif
