
#ifndef CLASS023_HPP
#define CLASS023_HPP
class Dt_identifier
	{
	/*design in subject "DIM_Control_Query" */
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Datatypes" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/A compound datatype for assigned identifiers.  The contents of this compound datatype is strongly influenced by the specification of the EI, CX, DLN datatype in the HL7 2.3 standard.
/%hxID%/65
/%PrimarySubjectArea%/RIM_Compound_datatype
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The effective date of the identifier.
/%hxID%/306
*/
	int effective_dt;
	/*design comment identification_txt 
:/%Description%/The value assigned as an identifier, often a numeric.
/%hxID%/307
*/
	int identification_txt;
	/*design comment identifier_check_digit_txt 
:/%Description%/A check digit assigned to the identifier base upon the identification text and the check digit scheme.
/%hxID%/308
*/
	int identifier_check_digit_txt;
	/*design comment identifier_check_digit_type_cd 
:/%Description%/A code identifying the check digit scheme used for the identifier check digit.
/%hxID%/309
*/
	int identifier_check_digit_type_cd;
	/*design comment identifier_issue_dt 
:/%Description%/Date the identifier was issued.
/%hxID%/310
*/
	int identifier_issue_dt;
	/*design comment issuing_authority_nm 
:/%Description%/The name of the issuing authority for the identifier.
/%hxID%/311
*/
	int issuing_authority_nm;
	/*design comment termination_dt 
:/%Description%/The termination date of the identifier.
/%hxID%/312
*/
	int termination_dt;
	/*design comment type_cd 
:/%Description%/A code indicating the type of identifier.
/%hxID%/313
*/
	int type_cd;
	};

#endif
