
#ifndef CLASS029_HPP
#define CLASS029_HPP
class Dt_phone
	{
	/*design in subject "DIM_Control_Query" */
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Datatypes" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/A compound datatype for phone numbers.  Based upon the HL7 TN and XTN datatypes.
/%hxID%/71
/%PrimarySubjectArea%/RIM_Compound_datatype
*/
public:
private:
	/*design comment area_cd 
:/%Description%/Code for a specific calling area including country and calling area within a country.
/%hxID%/319
*/
	int area_cd;
	/*design comment beeper_code_txt 
:/%Description%/Extension to the phone number for access to beeper.
/%hxID%/320
*/
	int beeper_code_txt;
	/*design comment comment_txt 
:/%Description%/Comments about the telephone number.
/%hxID%/321
*/
	int comment_txt;
	/*design comment country_cd 
:/%Description%/A code identifying the country the phone number is within.
/%hxID%/322
*/
	int country_cd;
	/*design comment device_type_cd 
:/%Description%/Code for a data or voice device used to transmit information, carry a verbal conversation or exchange information between individuals (e.g., phone, fax, modem, cellular phone, beeper, . . .).
/%hxID%/323
*/
	int device_type_cd;
	/*design comment effective_dt 
:/%Description%/The date the phone becomes effective.
/%hxID%/324
*/
	int effective_dt;
	/*design comment extension_number_txt 
:/%Description%/Number that identifies a continuation or addition to the telephone number.
/%hxID%/325
*/
	int extension_number_txt;
	/*design comment telephone_number_txt 
:/%Description%/Number used to communicate by telephone with a person or organization.
/%hxID%/326
*/
	int telephone_number_txt;
	/*design comment termination_dt 
:/%Description%/The date the phone is no longer in effect.
/%hxID%/327
*/
	int termination_dt;
	/*design comment use_type_cd 
:/%Description%/A code indicating the use type of the phone (e.g., primary residence, other residence, work, vacation home, answering service, emergency, beeper, . . .).
/%hxID%/328
*/
	int use_type_cd;
	};

#endif
