
#ifndef CLASS035_HPP
#define CLASS035_HPP
class Dt_time
	{
	/*design in subject "DIM_Control_Query" */
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Datatypes" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/The time of day.  See HL7 TM datatype.
/%hxID%/74
/%PrimarySubjectArea%/RIM_Compound_datatype
*/
public:
private:
	/*design comment fractional_second_qty 
:/%Description%/A portion of a second.
/%hxID%/329
*/
	int fractional_second_qty;
	/*design comment gmt_time_zone_offset_qty 
:/%Description%/A quantity representing the offset of the time zone from the coordinated universal time (GMT).
/%hxID%/330
*/
	int gmt_time_zone_offset_qty;
	/*design comment hour_qty 
:/%Description%/A hour of the day.
/%hxID%/331
*/
	int hour_qty;
	/*design comment minute_qty 
:/%Description%/The minute within an hour.
/%hxID%/332
*/
	int minute_qty;
	/*design comment second_qty 
:/%Description%/The second within the minute.
/%hxID%/333
*/
	int second_qty;
	};

#endif
