
#ifndef CLASS037_HPP
#define CLASS037_HPP
class Dt_treatment_route
	{
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/specifies information about the route of administration of the pharmacy service

Rationale: support use of RXR in order message

OpenIssue: Recommned using the short form class word PTrout for this datatype
/%hxID%/2916
/%PrimarySubjectArea%/RIM_Compound_datatypes
*/
public:
private:
	/*design comment treatment_device_cd 
:/%Description%/the mechanical device used to aid in the administration of the drug or other treatment

Rationale: required for use of RXR with pharmacy orders
/%hxID%/2965
*/
	int treatment_device_cd;
	/*design comment treatment_method_cd 
:/%Description%/the specific method for the administration of the drug or treatment to the patient, eg. Nebulizer, perfuse, shampoo, soak, wash, wipe.

Rationale: required for use of RXR with pharmacy orders

OpenIssue: 
/%hxID%/2966
*/
	int treatment_method_cd;
	/*design comment treatment_route_cd 
:/%Description%/the route of administration, eg. Nasal, ophthalmic, perfusion, oral, sublingual.

Rationale: required for use of RXR with pharmacy orders

OpenIssue: 
/%hxID%/2967
*/
	int treatment_route_cd;
	/*design comment treatment_site_cd 
:/%Description%/the site of the administration route

Rationale: required for use of RXR with pharmacy orders

OpenIssue: 
/%hxID%/2968
*/
	int treatment_site_cd;
	};

#endif
