
#ifndef CLASS043_HPP
#define CLASS043_HPP
class Episode
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design part Patient_encounter class Patient_encounter <"has_parts (1,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/2032

*/
	/*design assoc Patient_diagnosis with Patient_diagnosis <"is_defined_by (0,1)", "defines (0,1)">
:/%Description%/
/%hxID%/1083

*/

	/*design comment 
:/%Description%/A collection or a series of Healthcare encounters for a patient.
/%hxID%/80
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment desc 
:/%Description%/Episode of care descriptive text.
/%hxID%/351
*/
	int desc;
	/*design comment episode_type_cd 
:/%Description%/A code indicating the type of episode.  The type code is dependent upon the reason for collection of patient encounters.
/%hxID%/352
*/
	int episode_type_cd;
	/*design comment id 
:/%Description%/A unique identifier assigned to the episode of care.
/%hxID%/353
*/
	int id;
	/*design comment list_closed_ind 
:/%Description%/An indication that the list of encounters associated with the episode is a closed list.
/%hxID%/354
*/
	int list_closed_ind;
	/*design comment outcome_txt 
:/%Description%/Text describing the outcome of the episode of care.
/%hxID%/355
*/
	int outcome_txt;
	/*design comment recurring_service_ind 
:/%Description%/An indication that the episode represents a recurring patient service.
/%hxID%/356
*/
	int recurring_service_ind;
	};

#endif
