
#ifndef CLASS045_HPP
#define CLASS045_HPP
class Goal_master
	{
	/*design in subject "DIM_Patient_care" */
	/*design in subject "RIM_Clinical_pathway_master" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "STW_C12_Patient_care" */

	/*design comment 
:/%Description%/A master table of goals for a clinical pathway.
/%hxID%/82
/%PrimarySubjectArea%/RIM_Clinical_pathway_master
*/
public:
private:
	/*design comment classification_cd 
:/%Description%/A classification code for the goal master.
/%hxID%/372
*/
	int classification_cd;
	/*design comment desc 
:/%Description%/A description of the goal master.
/%hxID%/373
*/
	int desc;
	/*design comment id 
:/%Description%/A unique identifier for the goal master.
/%hxID%/374
*/
	int id;
	/*design comment initial_review_interval_cd 
:/%Description%/A code indicating the interval used to calculate the next goal review date.
/%hxID%/375
*/
	int initial_review_interval_cd;
	/*design comment management_discipline_cd 
:/%Description%/A code depicting the goal caregiver discipline responsible for managing the specific goal.
/%hxID%/376
*/
	int management_discipline_cd;
	};

#endif
