
#ifndef CLASS049_HPP
#define CLASS049_HPP
class Health_chart
	{
	/*design in subject "DIM_Medical_records" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C09_Medical_records" */
	/*design assoc Health_chart_deficiency with Health_chart_deficiency <"has_an_assessment_of (0,M)", "is_assessed_against (1,1)">
:/%Description%/
/%hxID%/1095

*/
	/*design assoc Health_chart_document_header with Health_chart_document_header <"contains (0,M)", "is_contained_in (1,1)">
:/%Description%/
/%hxID%/3253

*/
	/*design assoc Patient with Patient <"belongs_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/1093

*/
	/*design assoc Patient_service_location with Patient_service_location <"is_housed_at (1,1)", "houses (0,M)">
:/%Description%/
/%hxID%/1096

*/

	/*design comment 
:/%Description%/A record of health related events, facts, and related data for a particular patient.
/%hxID%/86
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment health_chart_id 
:/%Description%/An identifier designated for the health chart.
/%hxID%/391
*/
	int health_chart_id;
	/*design comment health_chart_type_cd 
:/%Description%/A classification code for the health chart (e.g., inpatient, outpatient, mental health, . . .).
/%hxID%/392
*/
	int health_chart_type_cd;
	/*design comment status_cd 
:/%Description%/The current status of the health chart.
/%hxID%/393
*/
	int status_cd;
	};

#endif
