
#ifndef CLASS050_HPP
#define CLASS050_HPP
class Health_chart_deficiency
	{
	/*design in subject "DIM_Medical_records" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C09_Medical_records" */

	/*design comment 
:/%Description%/This class captures a record of deficiencies in the Health record.  <See the class Deficiency in model MDR2300>
/%hxID%/87
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment assessment_dt 
:/%Description%/The date the chart deficiency was determined.
/%hxID%/394
*/
	int assessment_dt;
	/*design comment desc 
:/%Description%/A description of the health chart discrepancy.
/%hxID%/395
*/
	int desc;
	/*design comment level_cd 
:/%Description%/A code depicting the level of discrepancy found in the health chart.
/%hxID%/396
*/
	int level_cd;
	/*design comment type_cd 
:/%Description%/A code identifying the type of deficiency identified.
/%hxID%/397
*/
	int type_cd;
	};

#endif
