
#ifndef CLASS054_HPP
#define CLASS054_HPP
class Healthcare_coverage_benefit
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_benefit_plan" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design part Healthcare_benefit_service class Healthcare_benefit_service <"has_parts (0,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/2034

*/

	/*design comment 
:/%Description%/A defined level of healthcare insurance coverage.
/%hxID%/92
/%PrimarySubjectArea%/RIM_Healthcare_benefit_plan
*/
public:
private:
	/*design comment annual_limit_amt 
:/%Description%/The annual limit amount for the Healthcare coverage benefit.
/%hxID%/458
*/
	int annual_limit_amt;
	/*design comment benefit_desc 
:/%Description%/A textual description of the benefit.
/%hxID%/459
*/
	int benefit_desc;
	/*design comment benefit_product_nm 
:/%Description%/The name of the benefit product.
/%hxID%/460
*/
	int benefit_product_nm;
	/*design comment dependent_coverage_ind 
:/%Description%/An indication as to whether the benefit includes dependent coverage.
/%hxID%/461
*/
	int dependent_coverage_ind;
	/*design comment dependent_coverage_limit_amt 
:/%Description%/The limit on the dependent coverage amount.
/%hxID%/462
*/
	int dependent_coverage_limit_amt;
	/*design comment effective_dttm 
:/%Description%/The date and time the benefit becomes effective.
/%hxID%/463
*/
	int effective_dttm;
	/*design comment lifetime_limit_amt 
:/%Description%/The lifetime limit amount for the Healthcare coverage benefit.
/%hxID%/464
*/
	int lifetime_limit_amt;
	/*design comment termination_dttm 
:/%Description%/The date the benefit is no longer in effect.
/%hxID%/465
*/
	int termination_dttm;
	};

#endif
