
#ifndef CLASS059_HPP
#define CLASS059_HPP
#include "Class057.hpp"
class Individual_healthcare_provider: public Healthcare_service_provider
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_service_provider" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Order_healthcare_practitioner with Order_healthcare_practitioner <"participates_as (0,M)", "includes_the_participation_of (1,1)">
:/%Description%/
/%hxID%/1108

*/

	/*design comment 
:/%Description%/A person in the role of a healthcare provider.
/%hxID%/96
/%PrimarySubjectArea%/RIM_Healthcare_service_provider
*/
public:
private:
	/*design comment degree_nm 
:/%Description%/The name of the educational degree held by the Healthcare practitioner.
/%hxID%/476
*/
	int degree_nm;
	/*design comment desc 
:/%Description%/Free form text description of the healthcare practitioner.
/%hxID%/477
*/
	int desc;
	/*design comment fellowship_field_cd 
:/%Description%/The fellowship field of a physician.
/%hxID%/478
*/
	int fellowship_field_cd;
	/*design comment graduate_school_nm 
:/%Description%/The name of the graduate school attended by the healthcare practitioner.
/%hxID%/479
*/
	int graduate_school_nm;
	/*design comment graduation_dt 
:/%Description%/The date of graduation from graduated school.
/%hxID%/480
*/
	int graduation_dt;
	/*design comment position_cd 
:/%Description%/A code indicating the position of a healthcare practitioner in an healthcare organization (e.g., head of department, trainee, hospital consultant, . . .).
/%hxID%/481
*/
	int position_cd;
	/*design comment practitioner_type_cd 
:/%Description%/A code indicating the type of healthcare professional (e.g., medical doctor, nurse, pharmacist, laboratory worker, . . .).
/%hxID%/482
*/
	int practitioner_type_cd;
	/*design comment primary_care_ind 
:/%Description%/An indication that the healthcare practitioner is a primary care provider.
/%hxID%/483
*/
	int primary_care_ind;
	/*design comment residency_field_cd 
:/%Description%/The physician residency code.
/%hxID%/484
*/
	int residency_field_cd;
	};

#endif
