
#ifndef CLASS064_HPP
#define CLASS064_HPP
class Location_encounter_role
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_location" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient_encounter with Patient_encounter <"pertains_to (1,1)", "has (1,M)">
:/%Description%/
/%hxID%/1116

*/

	/*design comment 
:/%Description%/An association between a patient encounter and a location.
/%hxID%/101
/%PrimarySubjectArea%/RIM_Patient_service_location
*/
public:
private:
	/*design comment accommodation_cd 
:/%Description%/A code depicting the type of accommodation associated with this patient encounter.
/%Datatype%/CE
/%hxID%/500
/%HL7v23Field%/00182
*/
	int accommodation_cd;
	/*design comment effective_dttm 
:/%Description%/Date the association between the patient encounter and the facility location becomes effective.
/%hxID%/501
*/
	int effective_dttm;
	/*design comment location_role_cd 
:/%Description%/A code depicting the relationship of the facility location to the patient encounter.
/%Datatype%/PL
/%hxID%/502
/%HL7v23Field%/00133, 00136, 00141, 00172, 00173, 00181
*/
	int location_role_cd;
	/*design comment status_cd 
:/%Description%/The status of location encounter role.
/%hxID%/503
*/
	int status_cd;
	/*design comment termination_dttm 
:/%Description%/Date the association between the facility location and the patient encounter ends.
/%hxID%/504
*/
	int termination_dttm;
	/*design comment transfer_reason_cd 
:/%Description%/A code depicting the reason for the patient transfer.
/%Datatype%/CE
/%hxID%/505
/%HL7v23Field%/00184
*/
	int transfer_reason_cd;
	/*design comment transfer_reason_desc 
:/%Description%/Descriptive text providing the reason for a transfer associated with the patient encounter.
/%hxID%/506
*/
	int transfer_reason_desc;
	/*design comment usage_approved_ind 
:/%Description%/A indication that use of the location has been approved.
/%hxID%/507
*/
	int usage_approved_ind;
	};

#endif
