
#ifndef CLASS073_HPP
#define CLASS073_HPP
#include "Class052.hpp"
class Medicaid_coverage: public Healthcare_benefit_plan
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_benefit_plan" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/A type of healthcare coverage provided by a state medicaid program.
/%hxID%/102
/%PrimarySubjectArea%/RIM_Healthcare_benefit_plan
*/
public:
private:
	/*design comment aid_category_cd 
:/%Description%/A code depicting the category of aid which make this person eligible for medicaid (e.g., aged, blind, disabled, families with dependent children, ...)
/%hxID%/508
*/
	int aid_category_cd;
	/*design comment case_id 
:/%Description%/An identifier assigned to a medicaid family for administration as a case.
/%Datatype%/ST
/%hxID%/509
/%HL7v23Field%/00479
*/
	int case_id;
	/*design comment effective_dt 
:/%Description%/The date medicaid coverage becomes effective.
/%hxID%/510
*/
	int effective_dt;
	/*design comment termination_dt 
:/%Description%/The date medicaid coverage terminates.
/%hxID%/511
*/
	int termination_dt;
	};

#endif
