
#ifndef CLASS075_HPP
#define CLASS075_HPP
class Notary_public
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Person" */
	/*design in subject "STW_C09_Medical_records" */
	/*design assoc Person with Person <"is_a_role_of (1,1)", "takes_on_role_of (0,1)">
:/%Description%/
/%hxID%/1117

*/

	/*design comment 
:/%Description%/A role of a person that authenticates the signature of a party.
/%hxID%/104
/%PrimarySubjectArea%/RIM_Person
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The date upon which the person assumed the role of notary public.
/%hxID%/521
*/
	int effective_dt;
	/*design comment notary_county_cd 
:/%Description%/The county in which the notary is licensed.
/%hxID%/522
*/
	int notary_county_cd;
	/*design comment notary_state_cd 
:/%Description%/The state in which the notary is licensed.
/%hxID%/523
*/
	int notary_state_cd;
	/*design comment termination_dt 
:/%Description%/Date on which the person is no longer in the role of notary public.
/%hxID%/524
*/
	int termination_dt;
	};

#endif
