
#ifndef CLASS078_HPP
#define CLASS078_HPP
#include "Class116.hpp"
class Organization: public Stakeholder
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Organization" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Financial_transaction with Financial_transaction <"categorizes (0,M)", "is_categorized_by (0,1)">
:/%Description%/
/%hxID%/1121

*/
	/*design assoc Insurer with Insurer <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1123

*/
	/*design assoc Organization with Organization <"has_as_a_subdivision (0,M)", "is_a_subdivision_of (0,1)">
:/%Description%/
/%hxID%/1122

*/

	/*design comment 
:/%Description%/A type of stakeholder.  A group of persons organized for some end or work; association.  The administrative personnel or apparatus of a business.
/%hxID%/109
/%PrimarySubjectArea%/RIM_Organization
*/
public:
private:
	/*design comment organization_name_type_cd 
:/%Description%/A code that represents the type of name i.e., legal name, display name

Rationale: to support XON datatype

OpenIssue: 
/%Datatype%/XON
/%hxID%/3101
/%HL7v23Field%/00810
*/
	int organization_name_type_cd;
	/*design comment organization_nm 
:/%Description%/The name of an organization.
/%Datatype%/XON
/%hxID%/549
/%HL7v23Field%/00202, 00420, 00425, 00429, 00434, 00436, 00474, 00483, 00519, 00810
*/
	int organization_nm;
	/*design comment standard_industry_class_cd 
:/%Description%/The standard industry class code of the organization.
/%hxID%/550
*/
	int standard_industry_class_cd;
	};

#endif
