
#ifndef CLASS088_HPP
#define CLASS088_HPP
class Patient_death
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,1)">
:/%Description%/
/%hxID%/1138

*/

	/*design comment 
:/%Description%/The act of dying; the end of life; the total and permanent cessation of all the vital functions of a patient.
/%hxID%/120
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment death_certificate_id 
:/%Description%/The identifier assigned to the death certificate.
/%hxID%/624
*/
	int death_certificate_id;
	/*design comment death_certificate_recorded_dt 
:/%Description%/The date that the death certificate is recorded.
/%hxID%/625
*/
	int death_certificate_recorded_dt;
	/*design comment death_classification_cd 
:/%Description%/A major classification of the cause of death.
/%hxID%/626
*/
	int death_classification_cd;
	/*design comment death_dttm 
:/%Description%/The date and time of death.
/%hxID%/627
*/
	int death_dttm;
	/*design comment death_location_nm 
:/%Description%/The name of the location where the death occurred.
/%hxID%/628
*/
	int death_location_nm;
	/*design comment death_notification_source_nm 
:/%Description%/The name of the source providing the death notification.
/%hxID%/629
*/
	int death_notification_source_nm;
	/*design comment death_verification_cd 
:/%Description%/A code identifying the source type used for verification.
/%hxID%/630
*/
	int death_verification_cd;
	/*design comment death_verification_dt 
:/%Description%/The date the death information is verified.
/%hxID%/631
*/
	int death_verification_dt;
	/*design comment death_verification_nm 
:/%Description%/Name of the person providing verification of death.
/%hxID%/632
*/
	int death_verification_nm;
	};

#endif
