
#ifndef CLASS094_HPP
#define CLASS094_HPP
class Patient_pathway
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_clinical_pathway" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C12_Patient_care" */
	/*design assoc Pathway_master with Pathway_master <"is_an_instance_of (0,1)", "is_instanciated_by (0,M)">
:/%Description%/
/%hxID%/1147

*/
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (1,M)">
:/%Description%/
/%hxID%/1148

*/
	/*design assoc Patient_pathway_goal with Patient_pathway_goal <"targets (0,M)", "is_targeted_by (0,M)">
:/%Description%/
/%hxID%/1149

*/
	/*design assoc Patient_pathway_problem with Patient_pathway_problem <"targets (0,M)", "is_targeted_by (1,M)">
:/%Description%/
/%hxID%/1150

*/

	/*design comment 
:/%Description%/A Clinical pathway, or treatment plan, established for a particular patient.
/%hxID%/126
/%PrimarySubjectArea%/RIM_Patient_clinical_pathway
*/
public:
private:
	/*design comment established_dttm 
:/%Description%/The date the patient pathway was established.
/%hxID%/675
*/
	int established_dttm;
	/*design comment id 
:/%Description%/A unique identifier assigned to the patient pathway.
/%hxID%/676
*/
	int id;
	/*design comment life_cycle_status_cd 
:/%Description%/A code depicting the life cycle states of the patient pathway (e.g., active, suspended, complete, canceled, delayed, scheduled, . . .).
/%hxID%/677
*/
	int life_cycle_status_cd;
	/*design comment life_cycle_status_dttm 
:/%Description%/The date and time the life cycle status indicated by the life cycle status code is in effect.
/%hxID%/678
*/
	int life_cycle_status_dttm;
	};

#endif
