
#ifndef CLASS104_HPP
#define CLASS104_HPP
class Person_alternate_name
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Person" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/A additional name by which a person is or has been known.
/%hxID%/136
/%PrimarySubjectArea%/RIM_Person
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The effective date of the person's alternate name.
/%hxID%/792
*/
	int effective_dt;
	/*design comment name_representation_code 
:/%Description%/An indication of the representation of the person's name.  This attriubute does not necessarily specify the character sets used.  Current codes are defined for Ideographic, Alphabetic, Phonetic.  

Rationale: required by components of V2.3 field

OpenIssue: may be part of an attribute type mapping to a compound datatype
/%Datatype%/XPN
/%hxID%/3141
/%HL7v23Field%/00109
*/
	int name_representation_code;
	/*design comment prsnm 
:/%Description%/Other names by which a person is known.
/%Datatype%/XPN
/%hxID%/793
/%HL7v23Field%/00118, 00478, 00746
*/
	int prsnm;
	/*design comment reason_cd 
:/%Description%/A code indicating the reason the alternate person name is used.
/%hxID%/794
*/
	int reason_cd;
	/*design comment termination_dt 
:/%Description%/The termination date of the person's alternate name.
/%hxID%/795
*/
	int termination_dt;
	/*design comment type_cd 
:/%Description%/A code indicating the type of alternate name (e.g., nickname, alias, maiden name, legal, adopted, . . .).
/%hxID%/796
*/
	int type_cd;
	};

#endif
