
#ifndef CLASS115_HPP
#define CLASS115_HPP
class Service_event_specimen
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_event" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Patient_service_event with Patient_service_event <"is_used_during (1,1)", "uses (0,M)">
:/%Description%/
/%hxID%/1185

*/

	/*design comment 
:/%Description%/An association between an analyzed object and a service event.
/%hxID%/160
/%PrimarySubjectArea%/RIM_Patient_service_event
*/
public:
private:
	/*design comment analyzed_object_action_cd 
:/%Description%/A code depicting the action taken upon the analyzed object in the context of a service event.
/%hxID%/1007
*/
	int analyzed_object_action_cd;
	/*design comment specimen_received_dttm 
:/%Description%/The data and time the specimen was received for use in the service event.
/%Datatype%/TS
/%hxID%/1008
/%HL7v23Field%/00248
*/
	int specimen_received_dttm;
	};

#endif
